# pytka
My own **PY**thon **T**ool**K**its and **A**utomations library  built over time with the purpose to reuse anytime

💡**HINT**: The package contains `pytka_demo.ipynb` file
that aims to showcase all of the available functions. 
It's recommended to use it within **Google Colab** since it
provides better Markdown support and allows for easier navigation

# 📋 All available functions & classes 

#### *Use doctrings to understand what the function/class is about and how to use it*

## 📋 dataframes
1. 🌡️ optimize_dataframe()
2. 🚮 remove_dataframes()
3. 😀 dummify_dataframe()
4. 🗑️ remove_column_if_present()
5. 📰 text_input_to_numericals() 
6. 🧮 df_memory_usage()

## 💡 eda
1. AutoEDA() class

## 🎁 features

1. ☀️ extend_features_with_similarities_and_distances(),
2. 📐 calculate_cosine_similarity(), 
3. 📏 calculate_distances()
4. ⚖️ imbalanced_resampling()
5. 🪱 filter_outliers()
6. 🚄 quick_pca()

## 🏆 kaggle

1. 🔗 create_download_link()
2. ✅ validate_kaggle_submission() 

## ⏱️ logging

1. 🖥️ list_devices()
2. 🤖 mlflow_experiment()
3. 🦶 step_time_calculation()

## 🦍 modelling

1. 🏹 UltimateClassifier() class
2. 😾 train_catboost()

## 🧠 neural_nets

1. 🪠 sparse_softmax()

## 🛠️ nlp

1. 🔠 string_to_lowercase_word_list()
2. 👅 calculate_english_word_ratio()
3. ⛓️‍💥 avg_word_length()
4. ⛓️ avg_sentence_word_length() 
5. 🟦 tfidf_vectorize_sequences()
6. 👻 describe_tfidf_vectorizer()


## 🐟 optuna

1. 🦇 optuna_parallel_coordinates()

## 🚜 others

1. 🎁 create_zip()

## 🎨 plots

1. 🛜 make_html_filename()
2. 📊 calculate_boxplot_stats()

# ⏭️ Upcoming

1. Unittests 
2. CircleCI pipelines